Subject: bug#43634: 27.1; Wrong indentation in sieve-mode

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 30 Sep 2020 05:13:27 +0200

Daniel Martín <[email-masked]> writes:

> M-x mark-whole-buffer and indent. The closing brace is reindented in a
> strange way:
>
> if size :over 100K {
>   reject "I'm sorry, I do not accept mail over 100kb in size.";
>          }
>
> As sieve-mode inherits from c-mode, putting things in parens works

I guess there isn't really much in Sieve that's that C-like.  I mean,
it's {} and strings, but ...  not the whole shebang.

Do we have a simpler mode somewhere that just understands {} and strings
that Sieve mode could inhering from instead?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no